com.jogamp.gluegen

## Class CMethodBindingEmitter.DefaultCommentEmitter

- java.lang.Object
- - com.jogamp.gluegen.CMethodBindingEmitter.DefaultCommentEmitter

- All Implemented Interfaces:
    CommentEmitter
  Enclosing class:
    CMethodBindingEmitter

      protected static class CMethodBindingEmitter.DefaultCommentEmitter
      extends Object
      implements CommentEmitter

  Class that emits a generic comment for CMethodBindingEmitters; the comment includes the C signature of the native method that is being bound by the emitter java method.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CMethodBindingEmitter.DefaultCommentEmitter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `emit(FunctionEmitter emitter, PrintWriter writer)` Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters.
    `protected void` | `emitBeginning(CMethodBindingEmitter emitter, PrintWriter writer)`
    `protected void` | `emitEnding(CMethodBindingEmitter emitter, PrintWriter writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMethodBindingEmitter.DefaultCommentEmitter

          protected CMethodBindingEmitter.DefaultCommentEmitter()

  - ### Method Detail

    - #### emit

          public void emit(FunctionEmitter emitter,
                  PrintWriter writer)

      Description copied from interface: `CommentEmitter`
      Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters.
      Specified by:
        `emit` in interface `CommentEmitter`

    - #### emitBeginning

          protected void emitBeginning(CMethodBindingEmitter emitter,
                           PrintWriter writer)

    - #### emitEnding

          protected void emitEnding(CMethodBindingEmitter emitter,
                        PrintWriter writer)